import requests
from bs4 import BeautifulSoup
import sys
import io

sys.stdout = io.TextIOWrapper(sys.stdout.buffer, encoding='utf-8')

def get_google_search_title(query):
    url = f"https://www.google.com/search?q={query}"
    headers = {
        "User-Agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, seperti Gecko) Chrome/91.0.4472.124 Safari/537.36"
    }
    response = requests.get(url, headers=headers)
    soup = BeautifulSoup(response.text, 'html.parser')
    first_result = soup.find('h3')
    if first_result:
        return first_result.text
    return None

def main():
    query = sys.argv[1]
    title = get_google_search_title(query)
    if title:
        print(title)
    else:
        print("Tidak dapat menemukan hasil pencarian.")

if __name__ == "__main__":
    main()
